/* mvform.h -- Common definitions for mvform stuff

	Copyright 1994,2005,2006,2007,2008
		by Mark E. Mallett, MV Communications, Inc.

	See the package's "LICENSE" file for terms.

*/

#ifndef	H_MVFORM
#define	H_MVFORM

#include <mml/mml.h>		/* Everyone needs this, just do it here */

/* mml is autoconf'd too, and all mml headers include autoconf defs.
   Some of mvmf's autoconf defs will conflict.  I don't really know how
   to get around this other than by this hack.  Maybe I'll learn more
   one day.
*/
#undef PACKAGE
#undef PACKAGE_BUGREPORT
#undef PACKAGE_NAME
#undef PACKAGE_STRING
#undef PACKAGE_TARNAME
#undef PACKAGE_VERSION
#undef VERSION

#include "mvform-autoconf.h"	/* stuff from configure. */


/***********************************************************************
 *                                                                     *
 *   Configuration items that you may want to look at and/or change    *
 *                                                                     *
 ***********************************************************************/


/* Extension to use for the submit defs */
#define	SUBMITDEF	"submit"

/* Extension to use for the get defs */
#define	FORMDEF		"get"

/* Size for a big buffer, should be big enough to hold a pathname */
#define	BIGBUFSIZE	2000

#endif	/* H_MVFORM */
